from transformers import CLIPModel, CLIPProcessor
from config import CLIP_MODEL_PATH

class CLIPWrapper:
    def __init__(self, device="cuda"):
        self.model = CLIPModel.from_pretrained(CLIP_MODEL_PATH).to(device)
        self.processor = CLIPProcessor.from_pretrained(CLIP_MODEL_PATH)
        self.device = device
